import bb.cascades 1.0

import "../../../Styles/Colors.js" as Colors



//main container

Container {

    

    property alias name: header.pageName

    property Container contents: null

    property alias leftObject: header.leftObject

    property alias rightObject: header.rightObject

    property alias backgroundColor: contentsContainer.background

    property alias nameLabel: header.nameLabel

    property bool scroll: true

    property Page parentPage: null

    property variant titleScroll: TitleBarScrollBehavior.Default



    background: Color.create(Colors.backgroundMedium)

    id: contentContainer



    Container

    {

        id: contentsContainer

        onCreationCompleted :

            {

                if (scroll == true) 

                {

                    var scrollViewComponent = scrollViewDefinition.createObject();

                    contents.add(poweredByFooter);

                    scrollViewComponent.content = contents

                    contentsContainer.add(scrollViewComponent);

                } 

                else 

                {

                    contentsContainer.add(contents);

                    contentsContainer.add(poweredByFooter);

                }

                if(parentPage != null)

                    parentPage.setTitleBar(header)

             }

    }

    attachedObjects: [

        //footer logo and text

        PoweredByEntrust {

            id: poweredByFooter

            preferredHeight: 100

        },

        ComponentDefinition {

            id: scrollViewDefinition

            ScrollView {

                verticalAlignment: VerticalAlignment.Fill

            }

        },

        //header

        ContentHeader {

            id: header

            leftObject: leftObject

            rightObject: rightObject

            scrollBehavior: titleScroll

        }

    ]

    function setHeaderTitle(title) {

        header.pageName = title;

    }

}

    

