import bb.cascades 1.0
Container {
    property alias firstFocus: ac0
    layout: DockLayout {
    }
    TextField {
        textStyle.fontSize: FontSize.PointValue
        textStyle.fontSizeValue: 8.0
        enabled: true
        verticalAlignment: VerticalAlignment.Fill
        hintText: ""
        focusPolicy: FocusPolicy.None
    }
    Container {
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        NumberField {
            id: ac0
            next: ac1
            validator: Validator {                
                mode: ValidationMode.FocusLost                
                onValidate: {
                    validateEntry();
                }            
            }            
            onTextChanged: {
                clearOldValue();
            }
        }
        Dash {
            verticalAlignment: VerticalAlignment.Center
        }
        NumberField {
            id: ac1
            next: ac2
            validator: Validator {
                
                mode: ValidationMode.FocusLost
                
                onValidate: {
                    validateEntry();
                }            
            }
            onTextChanged: {
                clearOldValue();
            }            
        }
        Dash {
            verticalAlignment: VerticalAlignment.Center
        }
        NumberField {
            id: ac2
            next: ac3            
            validator: Validator {                
                mode: ValidationMode.FocusLost                
                onValidate: {
                    validateEntry();
                }            
            }
            onTextChanged: {
                clearOldValue();
            }
        }
        Dash {
            verticalAlignment: VerticalAlignment.Center
        }
        NumberField {
            id: ac3
            validator: Validator {
                mode: ValidationMode.FocusLost
                onValidate: {
                    validateEntry();
                }
            }
            onTextChanged: {
                clearOldValue();
            }
        }
        // A hidden textfield to contain the previous value.  Used during the
        // validation process:  we only want to perform validation if the text
        // values have changed from the old value        
        TextField {
            enabled: false
            visible: false
            id: oldvalue;
            text: "";
        }
    }
    function getCode() {
        //combine fields
        var activationCode = ac0.text + ac1.text + ac2.text + ac3.text;
        return activationCode;
    }
    function clear() {
        ac0.text = "";
        ac1.text = "";
        ac2.text = "";
        ac3.text = "";
        clearOldValue();
    }
    function setFocus() {
        ac0.requestFocus();
    }
   
    function clearOldValue() {
       oldvalue.text = "";
    }
   
   
    function validateEntry() {              
       var maxlen = ac0.maxLength;
       if ((ac0.text.length==maxlen) && (ac1.text.length==maxlen) && (ac2.text.length==maxlen) && (ac3.text.length==maxlen)) {
           var newvalue = ac0.text + ac1.text + ac2.text + ac3.text;
           if (oldvalue.text != newvalue) {
               // We have all the fields filled in, and we have a new value, so we can perform
               // validation now.  The following function will emit a signal if validation fails.
               addIdentityCPPPage.validateActivationCode(getCode());
               oldvalue.text = newvalue;
           }
       }
    }
}
