import bb.cascades 1.0


/**
 * NumberField
 * 
 * The NumberField control is used to separate
 * long numbers with dashes so that the user can see
 * the number more easily. When a specified amount of 
 * characters have been entered, control will focus to 
 * the next segment of the number
 */
TextField 
{
    property variant next : null
    property int maxLength: 4
    id: myTextField
    hintText: "####"
    backgroundVisible: false
    inputMode: TextFieldInputMode.NumericPassword
    input.masking: TextInputMasking.NotMaskedNotTogglable
    textStyle{
        base: textStyleDef.style
        fontSize: FontSize.PointValue
        fontSizeValue: 8.0
    }
    attachedObjects: [
        TextStyleDefinition
        {
            id: textStyleDef
            //color: Color.Black
            color: Color.Gray
        }
    ]
    onTextChanging: 
    {
        var temp = "";
        for(var i=0;i<text.length;i++)
        {
            var digit = text.substr(i,1)
            if(digit >= "0" && digit <= "9")
            {
                temp+= digit;
            }
        }
        if (temp.length >= maxLength) {
            if (next != null) {
                next.requestFocus();
                console.log("next field exists");
            } else {
                loseFocus();
                console.log("next field does not exist.")
            }
            temp = temp.substring(0,maxLength);
            loseFocus();
            //if the next text field exists, set its contents to the overflow
            
            //clip the overflow
        }
        setText(temp);
    }
    onCreationCompleted: {
        var hintTextTemp  = "";
        console.log("max length of text field" +maxLength);
        var i = 0;
        for(var i=0;i<maxLength;i++)
        {
            hintTextTemp = hintTextTemp + "#";
        }
        hintText = hintTextTemp;
        if (screeninfo.isPassport) {
            preferredWidth = 45*maxLength + 20; //letter width plus padding
        } else {
            preferredWidth = 26*maxLength + 20; //letter width plus padding            
        }

    }
    horizontalAlignment: HorizontalAlignment.Left
}