import bb.cascades 1.0
Container 
{
    property variant nextFocus: null
    layout: DockLayout
    {
        
    }
    TextField
    {
        enabled: true
        verticalAlignment: VerticalAlignment.Fill
        hintText: ""
        focusPolicy: FocusPolicy.None
        textStyle.fontSize: FontSize.PointValue
        textStyle.fontSizeValue: 8.0
    }
    Container
    {
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        horizontalAlignment: HorizontalAlignment.Left
        NumberField {
            id: sn0
            next: sn1
            maxLength: 5
            //preferredWidth: 145
            verticalAlignment: VerticalAlignment.Center
            validator: Validator {                
                mode: ValidationMode.FocusLost                
                onValidate: {
                    validateEntry();
                }            
            }            
            onTextChanged: {
                clearOldValue();
            }
            
        }
        Dash {
            verticalAlignment: VerticalAlignment.Center
        }
        NumberField {
            verticalAlignment: VerticalAlignment.Center
            id: sn1
            maxLength: 5
            next: nextFocus
            //preferredWidth: 145
            validator: Validator {
                mode: ValidationMode.FocusLost
                onValidate: {
                    validateEntry();                    
                }                
            }            
            onTextChanged: {
                clearOldValue();
            }
            
        }
        // A hidden textfield to contain the previous value.  Used during the
        // validation process:  we only want to perform validation if the text
        // values have changed from the old value        
        TextField {
            enabled: false
            visible: false
            id: oldvalue;
            text: "";
        }
    }
    function getCode()
    {
        //combine fields
        var serialNumber = sn0.text + sn1.text;
        
        //return result of sdk call
        return serialNumber
    }
    function setFocus()
    {
        sn0.requestFocus()
    }
    function clear()
    {
        sn0.text = "";
        sn1.text = "";
        sn0.enabled = true;
        sn1.enabled = true;        
        clearOldValue();
    }
    
    function setCode(number0, number1) {
        // When setting the serial number, don't make it editable
        sn0.text = number0;
        sn1.text = number1;
        sn0.enabled = false;
        sn1.enabled = false;
    }
    
    function clearOldValue() {
        oldvalue.text = "";
    }
    
    function validateEntry() {       
        if ((sn0.text.length==sn0.maxLength) && (sn1.text.length==sn1.maxLength)) {
            var newvalue = sn0.text + sn1.text;
            if (oldvalue.text != newvalue) {
                // We have all the fields filled in, and we have a new value, so we can perform
                // validation now.  The following function will emit a signal if validation fails.
                addIdentityCPPPage.validateSerialNumber(getCode());
                oldvalue.text = newvalue;
            }
        }
    }
}
