import bb.cascades 1.0

import custom.lib 1.0



DropDown

{

    id: identityDropDown

    title : "Identity:"

    onCreationCompleted:

        {

            //connect our dropdown to identites signal which gets

            //called when an identity is added

            identities.identityAdded.connect

                (identityDropDown.onCPPIdentityAdded)

            //called when identity is removed

            identities.identityRemoved.connect

                (identityDropDown.onCPPIdentityDeleted)

            //called when identity name is changed

            identities.nameChanged.connect

                (identityDropDown.onCPPIdentityNameChanged)



    }

    //slot for identity being added

    function onCPPIdentityAdded(name, id, order, imgSource) {

        //create an option object

        var identityOption = dropDownOption.createObject()

        identityOption.text = name;

        identityOption.value = id;

        identityDropDown.add(identityOption)

    }

    function onCPPIdentityDeleted(id)

    {

        for(var i=0;i<options.length;i++)

        {

            var option = options[i];

            var value = option.value;

            if(option.value == id)

            {

                identityDropDown.remove(option);

            }

        }

    }

    function onCPPIdentityNameChanged(id, name)

    {

        for (var i = 0; i < options.length; i ++) 

        {

            var option = options[i];

            var value = option.value;

            if (option.value == id ) 

            {

                option.text = name;

            }

        }

    }

    function resetSelection()

    {

        //to reset the dropdown selection, we must remove the selected option from the list

        //so that it doesn't just get selected again. We must also call it from another thread

        //or nothing will happen.

        if( selectedIndex > -1)

        {

            var selected = selectedOption;

            var index = identityDropDown.indexOf(selected);

            identityDropDown.remove(selected);

            identityDropDown.insert(index, selected);

        }

        

    }

    function getSelectedId()

    {

        var option = options[selectedIndex];

        var selectedId = option.value.toString();

        console.log("get selected id " + selectedId)

        return selectedId;

    }

    function getSelectedIndex()

    {

        return identityDropDown.indexOf(selectedOption)

    }

    //define an option for 

    attachedObjects: [

        ComponentDefinition {

            id: dropDownOption

            

            Option {

            }

        }

    ]

    

}

    



