import bb.cascades 1.0
import "../../Components/Shared"
import "../../../Styles/Colors.js" as Colors


ContentContainer {
    name: qsTr("Info") + Retranslate.onLanguageChanged
    property alias topicText: topicLabel.text
    property alias bodyText: bodyWebView.html
    contents: infoDetailContainer
    background: Color.create(Colors.header)
    attachedObjects: [
        Container {
            layout: StackLayout {


            }
            id: infoDetailContainer
            Container {
                horizontalAlignment: HorizontalAlignment.Center
                leftPadding: 40
                rightPadding: 40
                topPadding: 20
                bottomPadding: 20
                Label {
                    
                    id: topicLabel
                    textStyle.fontSize: FontSize.PointValue
textStyle.fontSizeValue: 10.0
                    objectName: "infoTopicLabel"
                    multiline: true
                    text: "title"
                }
            }
            Container {


                topPadding: 20
                bottomPadding: 20


                WebView {
                    id: bodyWebView
                    settings.background: Color.create(Colors.header)
                    settings.defaultFontSize: 40
                    settings.defaultFontSizeFollowsSystemFontSize: false
                    settings.userStyleSheetLocation: "asset:///Styles/InfoDetailStyle.css"


                    onNavigationRequested: {
                        // If it's a local asset then ignore the navigation request.  In 10.3, the URL of a local
                        // asset changed from local:/// to local:///bb_cascades_WebPage_loadData_DataNoLongerAvailable.html
                        // so now we just check to see if it starts with local:///
                        if (request.navigationType === WebNavigationType.Other && ((request.url!=null) && (request.url.toString().search("local:///") !=0))) {
                            request.action = WebNavigationRequestAction.Ignore
                        } else if (request.navigationType === WebNavigationType.LinkClicked) {
                            request.action = WebNavigationRequestAction.Ignore
                            infoDetailContainer.parent.parent.parent.parent.parent.openBrowser(request.url)
                        }
                    }
                }
            }
        }


    ]
}
