import bb.cascades 1.0

import "../../../Styles/Colors.js" as Colors

/**

 * This is a custom component that shows four boxes which hold

 * a hidden PIN that the user types in

 */

Container 

{

    //light background

    background: Color.create(Colors.backgroundLight)

    property variant numDigits : 4

    bottomPadding: 5

    Container {

        //dark background

        background: Color.create(Colors.header)

        preferredWidth: Infinity

        preferredHeight: 270

        

        layout: DockLayout {

            

        }

        Container {

            horizontalAlignment: HorizontalAlignment.Center

            verticalAlignment: VerticalAlignment.Center

            

            

            layout: StackLayout 

            {

                orientation: style.pinFieldOrientation

            }

            //digit 0

            Digit

            {

                id:digit0

                objectName: "digit0"

            }

            

            //digit 1

            Digit {

                id: digit1

                objectName: "digit1"

            }

            

            //digit 2

            Digit {

                id: digit2

                objectName: "digit2"

            }

            

            //digit 3

            Digit 

            {

                id: digit3

                objectName: "digit3"

            }

        }

    }

    function setNumEnteredDigits(numDigits)

    {

        digit0.setVisible(false);

        digit1.setVisible(false);

        digit2.setVisible(false);

        digit3.setVisible(false);

        

        if (numDigits > 0){

            digit0.setVisible(true);

            

            if (numDigits > 1) {

                digit1.setVisible(true);

                

                if (numDigits > 2) {

                    digit2.setVisible(true);

                    

                    if (numDigits > 3) {

                        digit3.setVisible(true);

                    }

                }

            }

        }//end if

    

    }

}

