import bb.cascades 1.0
import "../../../Styles/Colors.js" as Colors
import "../../Components/Shared"

//text field for unlock code
Container {
    //light background
    property alias unlock: unlockButton
    property alias responseText: unlockCodeField.text
    property alias responseField: unlockCodeField
    background: Color.create(Colors.backgroundLight)
    bottomPadding: 5
    id: pinUnlockContainer

    Container {
        //dark background inside
        background: Color.create(Colors.header)
        preferredHeight: 270
        preferredWidth: Infinity
        layout: DockLayout {

        }
        Container {
            verticalAlignment: VerticalAlignment.Center
            horizontalAlignment: HorizontalAlignment.Center

            //container with components
            layout: StackLayout {
                orientation: style.pinUnlockFieldOrientation
            }
            Container {
                leftPadding: 20
                rightPadding: 30
                verticalAlignment: VerticalAlignment.Center
                TextField {
                    id: unlockCodeField
                    preferredWidth: 450
                    hintText: qsTr("Enter Code")
                    inputMode: TextFieldInputMode.NumbersAndPunctuation
                    input.masking: TextInputMasking.NotMaskedNotTogglable
                    textStyle.fontSize: FontSize.PointValue
                    textStyle.fontSizeValue: 8.0
                    onTextChanging: {
                        var temp = "";
                        for (var i = 0; i < unlockCodeField.text.length; i ++) {
                            var digit =  unlockCodeField.text.substr(i, 1)
                            if (digit >= "0" && digit <= "9") {
                                temp += digit;
                            }
                        }
                        setText(temp)
                    }
                    onFocusedChanged: {
                        if (focused == true) {
                            identities.changeNumericKeyboard();
                        }
                    }
                }
            }
            Container {
                leftPadding: 30
                rightPadding: 20
                verticalAlignment: VerticalAlignment.Center
                Button {
                    id: unlockButton
                    preferredWidth: 200
                    text: qsTr("Unlock") + Retranslate.onLanguageChanged

                }
            }
        }

    }
}
