import bb.cascades 1.0

import "../../../Styles/Colors.js" as Colors



//main container

Container {



    property alias name: header.pageName

    property Container contents: null

    property alias leftObject: header.leftObject

    property alias rightObject: header.rightObject

    property alias backgroundColor: contentsContainer.background

    property alias nameLabel: header.nameLabel

    property bool scroll: true

    property Page parentPage: null

    property variant titleScroll: TitleBarScrollBehavior.Default



    id: contentContainer



    background: Color.create(Colors.backgroundMedium)



    Container {

        id: contentsContainer

        horizontalAlignment: HorizontalAlignment.Fill

        onCreationCompleted: {

            if (scroll == true) {

                var scrollViewComponent = scrollViewDefinition.createObject();

                scrollViewComponent.content = contents

                contentsContainer.add(scrollViewComponent);

            } else {

                contentsContainer.add(contents);

            }

            if (parentPage != null)

                parentPage.setTitleBar(header)

        }

    }



    //footer logo and text

    PoweredByEntrust {

        preferredHeight: 100

    }

    attachedObjects: [

        ComponentDefinition {

            id: scrollViewDefinition

            ScrollView {

                verticalAlignment: VerticalAlignment.Fill

                horizontalAlignment: HorizontalAlignment.Fill

            }

        },

        //header

        ContentHeader {

            id: header

            leftObject: leftObject

            rightObject: rightObject

            scrollBehavior: titleScroll

        }

    ]

    function setHeaderTitle(title) {

        header.pageName = title;

    }

}

