import bb.cascades 1.0

import "../../../Styles/Colors.js" as Colors

//header

TitleBar {

    property alias pageName: headerName.text

    property alias nameLabel: headerName

    property variant leftObject: null

    property variant rightObject: null

    objectName: "titleBar"

    kind: TitleBarKind.FreeForm

    appearance: TitleBarAppearance.Plain

    kindProperties: FreeFormTitleBarKindProperties {

        content: Container {

            layout: StackLayout {

                orientation: LayoutOrientation.LeftToRight

            }

            leftPadding: 10

            rightPadding: 10



            //add a container on the left side in case we have a component to add such as a button

            Container {

                id: leftComponent

                verticalAlignment: VerticalAlignment.Center

                horizontalAlignment: HorizontalAlignment.Left

                layoutProperties: StackLayoutProperties {

                    spaceQuota: -1

                }

            }

            Container {

                id: titleContainer

                layout: DockLayout {



                }

                preferredWidth: Infinity

                verticalAlignment: VerticalAlignment.Center

                horizontalAlignment: HorizontalAlignment.Center

                Label {

                    id: headerName

                    objectName: "headerTitle"

                    verticalAlignment: VerticalAlignment.Center

                    horizontalAlignment: HorizontalAlignment.Center

                    textStyle.fontSize: FontSize.PointValue

                    textStyle.fontSizeValue: 12.0



                }



                layoutProperties: StackLayoutProperties {

                    spaceQuota: 1

                }

            }

            //add a container on the right side in case we have a component to add such as a button

            Container {

                id: rightComponent

                verticalAlignment: VerticalAlignment.Center

                horizontalAlignment: HorizontalAlignment.Right

                layoutProperties: StackLayoutProperties {

                    spaceQuota: -1

                }

            }

        }

    }



    //add the components to their places

    onCreationCompleted: {

        leftComponent.add(leftObject);

        rightComponent.add(rightObject);

    }

}