import bb.cascades 1.0

import "../../../Styles/Colors.js" as Colors



//light background

Container {

    property alias text: infoText.text

    id: outsideContainer

    horizontalAlignment: HorizontalAlignment.Fill

    background: Color.create(Colors.backgroundLight)

    preferredWidth: Infinity

    topPadding: 5

    bottomPadding: 5

    //medium background

    Container {

        id: insideContainer

        background: Color.create(Colors.backgroundMedium)

        horizontalAlignment: HorizontalAlignment.Fill

        preferredHeight: 260

        layout: DockLayout {

            

        }

        //text container

        Container {

            leftPadding: 30

            rightPadding: 30

            topPadding: 30

            verticalAlignment: VerticalAlignment.Center

            bottomPadding: 30

            Label {

                id: infoText

                multiline: true

                textStyle.fontSize: FontSize.PointValue
textStyle.fontSizeValue: 10.0



            }

        }

    }

    function showError(hasError) {

        if (hasError) {

            insideContainer.background = Color.create(Colors.backgroundRed)

            outsideContainer.background = Color.create(Colors.backgroundLightRed)

        } else {

            insideContainer.background = Color.create(Colors.backgroundMedium)

            outsideContainer.background = Color.create(Colors.backgroundLight)

        }

    }

}