import bb.cascades 1.0
import "../Components/GlobalSettings"
import "../Components/Shared"
import "../../Styles/Colors.js" as Colors


ContentContainer {
    id: contentContainer
    property alias identitiesDropdown: editIdentitiesSetting
    name: qsTr("Settings") + Retranslate.onLanguageChanged
    contents: globalSettingsContainer
    backgroundColor: Color.create(Colors.header)


    signal editIdentitySelected(string identityId)
    signal defaultIdentitySelected(string identityId)


    
    //main container
    attachedObjects: [
        Container {
            id: globalSettingsContainer
            verticalAlignment: VerticalAlignment.Fill
            //pin protection container
            SettingsCategory {
                title: qsTr("PIN Protection") + Retranslate.onLanguageChanged
                items: pinProtectionSettings


                attachedObjects: [
                    Container {
                        id: pinProtectionSettings
                        //pin lock
                        SettingItem {
                            name: qsTr("PIN Lock:") + Retranslate.onLanguageChanged
                            setting: pinlockSetting
                            attachedObjects: [


                                ToggleButton {
                                    id: pinlockSetting
                                    objectName: "gsPinLockToggle"


                                }
                            ]
                        }
                        SettingTwoLineItem {
                            setting: changepinSetting
                            attachedObjects: [
                                Button {
                                    id: changepinSetting
                                    text: qsTr("Change PIN") + Retranslate.onLanguageChanged
                                    objectName: "gsChangePinButton"


                                }
                            ]
                        }
                        //auto lock
                        SettingTwoLineItem {
                            name: qsTr("Auto Lock:") + Retranslate.onLanguageChanged
                            setting: autolockSetting
                            attachedObjects: [


                                AutoLockDropDown {
                                    id: autolockSetting
                                }
                            ]
                        }
                    }
                ]
            }
            // Identity settings
            //pin protection container
            SettingsCategory {
                title: qsTr("Identities") + Retranslate.onLanguageChanged
                items: identitiesSettings


                attachedObjects: [
                    Container {


                        id: identitiesSettings


                        SettingTwoLineItem {
                            name: qsTr("Edit Identities:") + Retranslate.onLanguageChanged
                            setting: editIdentitiesSetting
                            attachedObjects: [


                                IdentitiesDropDown {
                                    id: editIdentitiesSetting
                                    title: qsTr("Identity") + Retranslate.onLanguageChanged
                                    onSelectedIndexChanged: {
                                        if (identitiesDropdown.selectedIndex > -1) {
                                            var selectedId = editIdentitiesSetting.getSelectedId();
                                            editIdentitySelected(selectedId)
                                        }
                                    }
                                    onCreationCompleted: {
                                        globalSettingsCPPPage.resetSettingsSelection.connect(editIdentitiesSetting.resetSelection)
                                    }
                                }
                            ]
                        }
                        //auto lock
                        SettingTwoLineItem {
                            name: qsTr("Default Identity:") + Retranslate.onLanguageChanged
                            setting: defaultIdentitySetting
                            attachedObjects: [


                                IdentitiesDropDown {
                                    id: defaultIdentitySetting
                                    title: qsTr("Identity:") + Retranslate.onLanguageChanged
                                    
                                    Option {
                                        id: defaultOption
                                        text: qsTr("None") + Retranslate.onLanguageChanged
                                        value: "";
                                    }
                                    onSelectedValueChanged: {
                                        if (defaultIdentitySetting.selectedIndex > -1) {
                                            var selectedId = defaultIdentitySetting.getSelectedId();
                                            	defaultIdentitySelected(selectedId)
                                        }
                                    }
                                    onCreationCompleted: {
                                    	identities.defaultIdentityChanged.connect(defaultIdentityChanged)
                                    }
                                    function defaultIdentityChanged(identityId)
                                    {
                                        for (var i = 0; i < options.length; i ++) 
                                        {
                                            var option = defaultIdentitySetting.options[i];
                                            var value = option.value;
                                            if (option.value == identityId ) 
                                            {
                                                defaultIdentitySetting.setSelectedIndex(i);
                                                break;
                                            }
                                        }
                                    }
                                }
                            ]
                        } //end default identity setting category
                    }
                ]
            }
        }


    ]
}
