import bb.cascades 1.0
import custom.lib 1.0


import "../Components/Shared"
import "../../Styles/Colors.js" as Colors
ContentContainer {
    property alias save: saveButton
    property alias cancel: cancelButton
    property variant title: nameLabel


    backgroundColor: Color.create(Colors.header)
    
    //set the contents of the page
    contents: identitySettings
    leftObject: cancelButton
    rightObject: saveButton
    
    
    attachedObjects: [
        Button {
            id: cancelButton
            objectName : "idSCancel"
            text: qsTr("Cancel") + Retranslate.onLanguageChanged
            preferredWidth: 200
        },
        Button {
            id: saveButton
            objectName : "idSSave"
            text: qsTr("Save") + Retranslate.onLanguageChanged
            preferredWidth: 200
        },
        Container {


            layout: StackLayout {
            }
            id: identitySettings
            Container {
                leftPadding: 20
                rightPadding: 20
                layout: StackLayout {
                }
                Container {
                    topPadding: 20
                    bottomPadding: 20
                    WebImageView {
                        id: logo
                        objectName : "idSLogo"
                        horizontalAlignment: HorizontalAlignment.Center
                    } 
                    horizontalAlignment: HorizontalAlignment.Center
                }


                Label {
                    id: addressLabel
                    text: qsTr("Address:") + Retranslate.onLanguageChanged
                    horizontalAlignment: style.settingsLabelAlignment
                    textStyle.fontSize: FontSize.PointValue
textStyle.fontSizeValue: 8.0
                }


                TextField {
                    id: addressField
                    objectName : "idSAddress"
                    validator: Validator {
                        objectName: "addressValidator"
                    }


                }
                Label {
                    id: nameLabel
                    text: qsTr("Name:") + Retranslate.onLanguageChanged
                    horizontalAlignment: style.settingsLabelAlignment
                    textStyle.fontSize: FontSize.PointValue
textStyle.fontSizeValue: 8.0
                }
                TextField {
                    id: nameField
                    objectName : "idSName"
                }
                Button {
                    topPadding: 20
                    bottomPadding: 20
                    id: refreshButton
                    objectName : "idSRefresh"
                    text: qsTr("Refresh")
                    horizontalAlignment: HorizontalAlignment.Fill
                    preferredWidth: Infinity


                }
            }
            Container {
                topPadding: 20
                leftPadding: 20
                rightPadding: 20
                layout: StackLayout {
                }
                Label {
                    id: serialNumberLabel
                    text: qsTr("Serial Number:") + Retranslate.onLanguageChanged
                    horizontalAlignment: style.settingsLabelAlignment
                    textStyle.fontSize: FontSize.PointValue
textStyle.fontSizeValue: 8.0
                }
                Label {
                    id: serialNumberField
                    objectName : "idSSn"
                    text: qsTr("Identity Provider Name") + Retranslate.onLanguageChanged
                    horizontalAlignment: style.settingsLabelAlignment
                    textStyle.fontWeight: FontWeight.W600
                    textStyle.fontSize: FontSize.PointValue
textStyle.fontSizeValue: 8.0
                }
                Label {
                    id: requiresPinLabel
                    text: qsTr("Requires PIN:") + Retranslate.onLanguageChanged
                    horizontalAlignment: style.settingsLabelAlignment
                    textStyle.fontSize: FontSize.PointValue
textStyle.fontSizeValue: 8.0
                }
                Label {
                    id: requiresPinField
                    objectName : "idSRequiresPIN"
                    text: " "
                    horizontalAlignment: style.settingsLabelAlignment
                    textStyle.fontWeight: FontWeight.W600
                    textStyle.fontSize: FontSize.PointValue
textStyle.fontSizeValue: 8.0
                }
                Button {
                    topPadding: 20
                    bottomPadding: 20
                    id: reactivateButton
                    objectName : "idSReactivate"
                    text: qsTr("Reactivate") + Retranslate.onLanguageChanged
                    horizontalAlignment: HorizontalAlignment.Fill
                    preferredWidth: Infinity
                }
            }


        }
    ]
}