import bb.cascades 1.0
import custom.lib 1.0
import "../Components/Shared"
import "../../Styles/Colors.js" as Colors
import "../Components/PinEntry"
ContentContainer {
    property alias instructions: infoContainer.text
    property variant cancelEnabled
    property alias info: infoContainer
    property string pinText
    titleScroll: TitleBarScrollBehavior.Sticky
    id: pinEntryContainer
    name: qsTr("PIN Required") + Retranslate.onLanguageChanged
    contents: pinPageContainer
    leftObject: cancelButton
    scroll: false
    signal canceled()
    signal textChanging(string text)

    onTouch: {
        if(event.isUp()) {
            identities.showKeyboard();
        }
    }
    attachedObjects: [
        Button {
            id: cancelButton
            text: qsTr("Cancel") + Retranslate.onLanguageChanged
            objectName: "cancelButton"
            preferredWidth: 0
            enabled: cancelEnabled
            visible: cancelEnabled
            onClicked: {
                canceled();
            }
        },
        //main container
        Container {
            id: pinPageContainer
            layout: StackLayout {

            }

            InformationLabelContainer {
                id: infoContainer
            }
            //Pin Container
            PinField {
                id: pinImgField
            }

        } //end main container
    ]
    signal pinEntered(string pin)

    function pinTextChanging(enteredNum) {
        
        if(pinText.length <4)
        {
            pinEntryContainer.textChanging(enteredNum);
            
            var tempPin = pinText;
            //if entered digit was a number
            if (enteredNum >= "0" && enteredNum <= "9") {
                //if the digit was a number, add it to our pin string
                tempPin += enteredNum;
            }
            
            //set our pin field text as the first 4 digits of the entered string
            pinText = tempPin.substr(0, 4);
            
            //update the graphic
            updateGraphic();
            
            if (pinText.length === 4) {
                pinEntryContainer.pinEntered(pinText);
            } 
        }
       

    }
    function clearPin() {
        pinText = "";
        updateGraphic()
    }
    function updateGraphic() {
        pinImgField.setNumEnteredDigits(pinText.length);
    }
    function showKeyboard() {
        identities.showKeyboard();
        pinEntryContainer.requestFocus();
    }

    function stop() {
        identities.hideKeyboard();
    }
    function backPressed()
    {
        var tempPin = pinText.substr(0,Math.max(0, pinText.length-1));
        pinText = tempPin;
        updateGraphic();
    }
}//end page
