import bb.cascades 1.0



Pin

{

    property int maxAttempts : 5

    name: qsTr("PIN Required") + Retranslate.onLanguageChanged;

    cancelEnabled: false

    

    signal pinValidated()

    signal pinLockedOut()



    onTextChanging: {

        if(identities.getNumPinAttempts()>0  )

        {

            instructions = qsTr("Please enter your PIN to access the application.");

            info.showError(false);

        }

    }

    onPinEntered :

        {

            identities.validatePin(pin);

            identities.validateResult.connect(validateResult)

        }

    function validateResult(isValid)

    {

        

        identities.validateResult.disconnect(validateResult)

        if(isValid == true)

        {

            pinValidated();

        }

        else

        {

            var attempts = identities.getNumPinAttempts();

            if(attempts < maxAttempts)

            {

                instructions = qsTr("You have entered the incorrect PIN.\nAttempt %1 of %2.").arg(attempts).arg(maxAttempts);

                info.showError(true);

            }

            else

            {

                pinLockedOut();

            }

        

        }

        clearPin();

    }

    function begin() {

        

        var attempts = identities.getNumPinAttempts();

        if(attempts< maxAttempts)

        {

            clearPin();

            instructions = qsTr("Please enter your PIN to access the application.");

        }

        else

        {

            pinLockedOut();

        }

    }

}

