import bb.cascades 1.0
import custom.lib 1.0
import bb.system 1.0
import "../Components/PinUnlock"
import "../Components/Shared"
import "../../Styles/Colors.js" as Colors


ContentContainer {
    property string challenge: ""
    name: qsTr("Unlock") + Retranslate.onLanguageChanged
    contents: pinUnlockContainer
    titleScroll: TitleBarScrollBehavior.Sticky
    scroll: false
    signal unlocked()
    
    onTouch:
        {
            //identities.showKeyboard()
        }
    attachedObjects: [
        Container {
            id: pinUnlockContainer
            layout: StackLayout {


            }
            InformationLabelContainer {
                id: infoLabel
            }
            PinUnlockFieldContainer {
                id: pinUnlockField
                unlock.onClicked: {
                    confirmUnlockChallenge()


                }
            }
        }, 
        SystemToast {
            id: toast
            body: qsTr("Invalid unlock code entered.") + Retranslate.onLanguageChanged
        }
    ]
    function setCode(code) {
        if(challenge==="")
        {
            var text = qsTr("Give the PIN Reset Code to an Identity Provider to get the unlock code: ") + Retranslate.onLanguageChanged;
            infoLabel.text = text + code;
            challenge = code;
        }
    }
    function clearCode()
    {
        challenge = "";
    }
    function addNumber(number)
    {
        pinUnlockField.responseText += number
    }
    function backPressed()
    {
        console.log("back pressed pin unlock")
        var length = pinUnlockField.responseText.length;
        if(length > 0)
        {
            var newText = pinUnlockField.responseText.substring(0,length -1 );
            pinUnlockField.responseText = newText; 
        }
    }
    function confirmUnlockChallenge()
    {
        
        if (identities.confirmUnlockChallenge(challenge, pinUnlockField.responseText)) {
            clearCode();
            // reset the response field
            pinUnlockField.responseField.setText(pinUnlockField.responseField.hintText);
            unlocked();
        }
        else {
            toast.show()
        }
    }
}
