import bb.cascades 1.0
import custom.lib 1.0
import "../Components/RegistrationCode"
import "../Components/Shared"
import "../../Styles/Colors.js" as Colors
import "../../Styles/"

ContentContainer {
    name: qsTr("Add Identity") + Retranslate.onLanguageChanged
    contents: registrationContainer
    rightObject: doneButton
    titleScroll: TitleBarScrollBehavior.Sticky
    horizontalAlignment: HorizontalAlignment.Fill
    property alias done: doneButton;
    
    attachedObjects: [
        SizeStyles {
            id: sizeStyles
        },
        Button {
            id: doneButton
            preferredHeight: 0
            preferredWidth: 0
            text: qsTr("Done") + Retranslate.onLanguageChanged
        },
        Container {
            id: registrationContainer
            verticalAlignment: VerticalAlignment.Fill
            horizontalAlignment: HorizontalAlignment.Fill
            layout: DockLayout {

            }

            Container {
                verticalAlignment: VerticalAlignment.Center
                horizontalAlignment: HorizontalAlignment.Center
                CodeContainer {
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    id: codeContainer
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    topPadding: 60
                    leftPadding: 80
                    rightPadding: 80
                    bottomPadding: sizeStyles.mainContentBottomPadding
                    Label {
                        id: instructionsLabel
                        multiline: true
                        textStyle.fontSize: FontSize.PointValue
                    	textStyle.fontSizeValue: 10.0
                        text: qsTr("Please copy this code and enter it into your web browser before pressing \"Done.\" Long Press to copy.\nThis code will not be displayed again.") + Retranslate.onLanguageChanged

                    }
                }
            }

        }
    ]
    function setCode(code)
    {
        codeContainer.setCode(code)
    }
}